extends layout

block content
  .dashboard-main-wrapper(style='width: 100%')
    .dashboard-header
      include navbar
    include sidebar
    .dashboard-wrapper(style='min-height:calc(100vh - 110px) !important')
      .dashboard-ecommerce
        .container-fluid.dashboard-content
          .row
            .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-12
              .page-header
                h2.pageheader-title Ajouter un utilisateur sur #{hostname}
          .row
            .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-12
              .card
                .card-body
                  form(role="form", action="/servers/" + hostname + "/users/add", method="post")
                    .form-group
                      input.form-control.form-control-lg(type='text' name='name' required='' placeholder='Nom d\'utilisateur' autocomplete='on')
                    .form-group
                      input.form-control.form-control-lg(type='text' name='fullName' required='' placeholder='Nom complet' autocomplete='on')
                    .form-group
                      input.form-control.form-control-lg(type='password' name='password' required='' placeholder='Mot de passe' autocomplete='off')
                    .form-group
                      input.form-control.form-control-lg(type='number' name='uid' placeholder='Id utilisateur (vide pour automatique)' autocomplete='off')
                    .form-group
                      input.form-control.form-control-lg(type='number' name='gid' placeholder='Id de groupe (vide pour automatique)' autocomplete='off')
                    .form-group
                      input.form-control.form-control-lg(type='text' name='home' placeholder='Répertoire home (vide pour utiliser le dossier par défaut)')
                    .form-group
                      input.form-control.form-control-lg(type='text' name='console' placeholder='Chemin de la console' value='/bin/bash')
                    hr
                    .form-group
                      input.form-control.form-control-lg(type='text' name='privilegedUser' placeholder='Nom d\'utilisateur privilégié (si nécessaire)')
                    .form-group
                      input.form-control.form-control-lg(type='password' name='privilegedPassword' placeholder='Mot de passe utilisateur privilégié (si nécessaire)')
                    input(type='hidden', name="_csrf", value=`${csrf}`)
                    .form-group.pt-2
                      button.btn.btn-block.btn-primary(type='submit') Ajouter un utilisateur
    .footer
      .container-fluid
        .row
          .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
            | Copyright &copy; 2019 Monitording.
          .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
            .text-md-right.footer-links.d-none.d-sm-block
              a(href='javascript: void(0);') About
              a(href='javascript: void(0);') Support
              a(href='javascript: void(0);') Contact Us
  script(src='/assets/vendor/jquery/jquery-3.3.1.min.js')
  script(src='/assets/vendor/bootstrap/js/bootstrap.bundle.js')
  script(src='/assets/vendor/slimscroll/jquery.slimscroll.js')
  script(src='/assets/libs/js/main-js.js')
  script(src='/assets/vendor/charts/chartist-bundle/chartist.min.js')
  script(src='/assets/vendor/charts/sparkline/jquery.sparkline.js')
  script(src='/assets/vendor/charts/morris-bundle/raphael.min.js')
  script(src='/assets/vendor/charts/morris-bundle/morris.js')
  script(src='/assets/vendor/charts/c3charts/c3.min.js')
  script(src='/assets/vendor/charts/c3charts/d3-5.4.0.min.js')
  script(src='/assets/vendor/charts/c3charts/C3chartjs.js')
  script(src='/assets/libs/js/dashboard-ecommerce.js')
